Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.commands
Class GetAllGroupAuditTasksByStatusCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<T>
          org.jbpm.services.task.commands.PaginatedTaskCommand<List<GroupAuditTask>>
              org.jbpm.services.task.audit.commands.GetAllGroupAuditTasksByStatusCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<List<GroupAuditTask>>, Command<List<GroupAuditTask>>

    public class GetAllGroupAuditTasksByStatusCommand

extends PaginatedTaskCommand<List<GroupAuditTask>>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.PaginatedTaskCommand
`count, offset`

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`GetAllGroupAuditTasksByStatusCommand()`
`GetAllGroupAuditTasksByStatusCommand(String groupIds, List<String> statuses, int offset, int count)`

Method Summary
`List<GroupAuditTask>` | `execute(org.kie.internal.command.Context context)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetAllGroupAuditTasksByStatusCommand

    public GetAllGroupAuditTasksByStatusCommand()

### GetAllGroupAuditTasksByStatusCommand

    public GetAllGroupAuditTasksByStatusCommand(String groupIds,
                                                List<String> statuses,
                                                int offset,
                                                int count)

Method Detail

### execute

    public List<GroupAuditTask> execute(org.kie.internal.command.Context context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.